import React from 'react';
import { TextInputProps } from 'react-native-paper/lib/typescript/components/TextInput/TextInput';
/**
 * @param errorText  (Optional) The text to show if the text input is in error state.
 */
export declare type TextInputRenderProps = Omit<TextInputProps, 'theme'> & {
    errorText?: string;
    theme?: ReactNativePaper.Theme;
    testID?: string;
};
export declare const TextInput: React.ForwardRefExoticComponent<Pick<TextInputRenderProps, "label" | "left" | "right" | "key" | "disabled" | "mode" | "theme" | keyof import("react-native").TextInputProps | "error" | "underlineColor" | "activeUnderlineColor" | "outlineColor" | "activeOutlineColor" | "dense" | "render" | "errorText"> & React.RefAttributes<{}>>;
