/**
 * @packageDocumentation
 * @module Sub-Screens
 */
import React from 'react';
/**
 * @param theme (Optional) react-native-paper theme partial to style the component.
 */
declare type ResetPasswordSentProps = {
    theme?: ReactNativePaper.Theme;
};
/**
 * Renders the screen with the reset password sent message.
 *
 * @category Component
 */
export declare const ResetPasswordSent: React.FC<ResetPasswordSentProps>;
export {};
