import { LinkingOptions } from '@react-navigation/native/lib/typescript/src/types';
/**
 * Map a Deep Link or Universal link to a screen in the application
 * https://reactnavigation.org/docs/deep-linking
 */
export declare const authLinkMapping: LinkingOptions;
/**
 * React Native boilerplate to get the initial state from open link, or fail after 150ms
 * @param getInitialState
 * @param setInitialState
 */
export declare const resolveInitialState: (getInitialState: () => any, setInitialState: (state: any) => void) => void;
