/**
 * @packageDocumentation
 * @module Screens
 */
import React from 'react';
/**
 * @param theme (Optional) react-native-paper theme partial to style the component.
 */
declare type InviteRegistrationPagerProps = {
    theme?: ReactNativePaper.Theme;
};
/**
 * Pager controlling the user registration via invitation screen flow.
 *
 * @category Component
 */
export declare const InviteRegistrationPager: React.FC<InviteRegistrationPagerProps>;
export {};
