/**
 * @packageDocumentation
 * @module Screens
 */
import * as React from 'react';
/**
 * @param theme  (Optional) react-native-paper theme partial to style the component.
 */
declare type ResetPasswordNavProps = {
    theme?: ReactNativePaper.Theme;
};
/**
 * Renders a screen stack which handles the reset password flow.
 *
 * @category Component
 */
export declare const ResetPasswordNav: React.FC<ResetPasswordNavProps>;
export {};
