/**
 * @packageDocumentation
 * @module Screens
 */
import React from 'react';
/**
 * @param theme (Optional) react-native-paper theme partial to style the component.
 */
declare type SelfRegistrationPagerProps = {
    theme?: ReactNativePaper.Theme;
};
/**
 * Pager controlling the user self registration screen flow.
 * If the user taps on a deep link they will be taken
 *
 * @category Component
 */
export declare const SelfRegistrationPager: React.FC<SelfRegistrationPagerProps>;
export {};
