/**
 * @packageDocumentation
 * @module Sub-Screens
 */
import React from 'react';
/**
 * Handle the props for the Reset Password Confirm page.
 *
 * @param theme (Optional) react-native-paper theme partial for custom styling.
 */
declare type ResetPasswordConfirmProps = {
    theme?: ReactNativePaper.Theme;
};
/**
 * Renders the screen with the reset password confirmation message
 * (contains 2 password inputs).
 *
 * @category Component
 */
export declare const ResetPasswordConfirm: React.FC<ResetPasswordConfirmProps>;
export {};
